- entry_type: violation_sequence
  metadata:
    format_version: '2.0'
    uuid: 0ae7b9d9-9872-4b39-8a4b-25842bd5e1b5
    creation_time: '2024-08-01T23:07:05+02:00'
    producer:
      name: Automizer
      version: 0.2.4-wip.fs.yaml-violation-witnesses-bf1304b-m
    task:
      input_files:
      - /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
      input_file_hashes:
        /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
      specification: |+
        CHECK( init(main()), LTL(G ! call(reach_error())) )

      data_model: 32bit
      language: C
  content:
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 871
          column: 24
          function: main
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 871
          column: 24
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 873
          column: 3
          function: main
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 876
          column: 14
          function: main
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 858
          column: 9
          function: runTest
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 564
          column: 5
          function: test
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 572
          column: 5
          function: test
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 574
          column: 18
          function: test
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 112
          column: 3
          function: waterRise
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 574
          column: 18
          function: test
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 582
          column: 5
          function: test
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 592
          column: 5
          function: test
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 594
          column: 20
          function: test
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 594
          column: 20
          function: test
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 607
          column: 16
          function: test
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 631
          column: 3
          function: timeShift
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 638
          column: 3
          function: timeShift
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 646
          column: 39
          function: timeShift
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 764
          column: 33
          function: __utac_acc__Specification3_spec__1
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 764
          column: 33
          function: __utac_acc__Specification3_spec__1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 766
          column: 3
          function: __utac_acc__Specification3_spec__1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 770
          column: 30
          function: __utac_acc__Specification3_spec__1
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 770
          column: 30
          function: __utac_acc__Specification3_spec__1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 772
          column: 5
          function: __utac_acc__Specification3_spec__1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 774
          column: 32
          function: __utac_acc__Specification3_spec__1
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 774
          column: 32
          function: __utac_acc__Specification3_spec__1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 776
          column: 7
          function: __utac_acc__Specification3_spec__1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 780
          column: 27
          function: __utac_acc__Specification3_spec__1
        action: follow
  - segment:
    - waypoint:
        type: target
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/product-lines/minepump_spec3_product10.cil.c
          file_hash: 00ac86131dc0e0af1cc82efd839ee9faae2b8444f182d9d05eed34c82369a7f5
          line: 178
          column: 11
          function: __automaton_fail
        action: follow
